NetBackup 7.0 upgrade advisory: OpenStorage customers must obtain 64 bit OpenStorage plug-ins from their OpenStorage vendor before upgrading to NetBackup 7.0.

Article:TECH77812  |  Created: 2009-01-10  |  Updated: 2010-01-19  |  Article URL http://www.symantec.com/docs/TECH77812
Article Type
Technical Solution

Product(s)

Environment

Issue



NetBackup 7.0 upgrade advisory: OpenStorage customers must obtain 64 bit OpenStorage plug-ins from their OpenStorage vendor before upgrading to NetBackup 7.0.

Solution



In NetBackup 7.0 media servers running on all platforms except Windows 2003 (which is supported on both 32 bit and 64 bit servers) will run of 64 bit servers using 64 bit binaries.  This means that OpenStorage users will need to replace existing 32 bit media servers with 64 bit media servers and obtain 64 bit OpenStorage plug-ins from their OpenStorage vendor before upgrading to NetBackup 7.0.
Users of OpenStorage on some UNIX and Linux 64 bit platforms will also need to obtain 64 bit OpenStorage plug-ins from their OpenStorage vendor before upgrading because the NetBackup 6.5.x media server on these platforms uses 32 bit binaries and a 32 bit plug-in.  This means that the 64 bit plug-in must be installed at the time of the upgrade and not when the 64 bit media server is deployed with NetBackup 6.5.x.  
The following tables summarizes the configurations supported by NetBackup 6.5.x and by NetBackup 7.0.  The platforms highlighted in bold text are those that will need a 64 bit plug-in to be installed when the media server is upgraded to NetBackup 7.0:

NetBackup 6.5.x
Operating system
NetBackup binary/OpenStorage plug-in
Supported Operating System
AIX
32 bit
64 bit
HP-UX on PA-RISC
32 bit
32 bit and 64 bit
HP-UX on IA64
64 bit
64 bit
RHEL on x86_64
32 bit
32 bit and 64 bit
SLES on x86_64
32 bit
32 bit and 64 bit
Solaris on SPARC
32 bit
32 bit and 64 bit
Solaris on x86_64
64 bit
64 bit
W2003 x86
32 bit
32 bit
W2003 x64
64 bit
64 bit
W2008 x64
64 bit
64 bit


NetBackup 7.x
Operating system
NetBackup binary/OpenStorage plug-in
Supported Operating System
AIX
64 bit
64 bit
HP-UX on PA-RISC
64 bit
64 bit only
HP-UX on IA64
64 bit
64 bit
RHEL on x86_64
64 bit
64 bit only
SLES on x86_64
64 bit
64 bit only
Solaris on SPARC
64 bit
64 bit only
Solaris on x86_64
64 bit
64 bit only
W2003 x86
32 bit
32 bit
W2003 x64
64 bit
64 bit
W2008 x64
64 bit
64 bit

Customers are encouraged to contact their OpenStorage vendor to confirm that the required plug in is available and obtain it before attempting to upgrade to NetBackup 7.x.




Legacy ID



338426


Article URL http://www.symantec.com/docs/TECH77812


Terms of use for this information are found in Legal Notices